=== debian/changelog ===
mediaelch (2.8.8.2-1~bionic) bionic; urgency=medium

  * next build

 -- Andre Meyering <info@andremeyering.de>  Mon, 26 Apr 2021 18:03:46 +0200

mediaelch (2.8.6.1-1~bionic) bionic; urgency=medium

  * next build

 -- Andre Meyering <info@andremeyering.de>  Fri, 22 Jan 2021 13:34:28 +0100

mediaelch (2.8.4.1-1~bionic) bionic; urgency=medium

  * next build

 -- Andre Meyering <info@andremeyering.de>  Sat, 09 Jan 2021 11:12:48 +0100

mediaelch (2.8.2.1-1~bionic) bionic; urgency=medium

  * next build

 -- Andre Meyering <info@andremeyering.de>  Sun, 20 Dec 2020 13:14:07 +0100

mediaelch (2.8.2-1) vivid; urgency=low

  * Update to MediaElch v2.8.2

 -- Andre Meyering <info@andremeyering.de>  Sun, 20 Dec 2020 12:00:00 +0200

mediaelch (2.8.0-1) vivid; urgency=low

  * Update to MediaElch v2.8.0

 -- Andre Meyering <info@andremeyering.de>  Sun, 13 Dec 2020 12:00:00 +0200


 mediaelch (2.6.6-1) vivid; urgency=low

  * Fix AEBN crash when scraping a movie (#910)
  * Select correct language for TMDb in the movie search dialog (#916)
  * Windows: Fix scanning of concerts (#814)
  * Downloads Section: Fix crash when importing items (#828)
  * Downloads Section: Fix invalid file sizes (#829)
  * TV episodes: Manually edited writers and directors were not saved (#933)
  * TV shows: Fix TV shows always being reloaded from disk (#732)
  * UI: Fix text color in messages boxes (#942)
  * HotMovies: Fix rating scraping
  * Trailer Download: Fix downloading trailers for many movies (#940)
  * TV Tunes Download: Fix crash when aborting download and restarting it (#940)
  * Movie: Don't save runtime from file if it cannot be detected (#604)
  * TV show file searcher now allows spaces between episode and season (#513)
  * Image Preview: Fix centering of image dialog (#863)
  * Export: The generated folder name now also contains seconds (#935)
  * Always write the episode guide URL to TV show NFOs using TheTvDb format (#652)
  * Fanart.tv: Print better error messages for shows and movies that cannot be found (#900)
  * TMDb: Update available languages to support official translations (#901)
  * Movies: If movies are sorted by "name", the movie's sort title is used if
    set and the name otherwise (#919)
  * IMDb: Use higher image resolution for actors (#920)
  * Movie Poster: Make it possible to set a random screenshot as the movie's poster (#934)
  * TV show: Also load TV show posters when searching for new season posters (#600)
  * TV show: Remove suffix (e.g. `.mkv`) from default episode names (#513)
  * Set MediaElch specific HTTP User-Agent header for most HTTP requests (#912)
  * Updater: Use new MediaElch meta repository for version checks (#896)
  * Download Section: Refactor the file searcher to make it non-blocking and
    improve the overall performance (#830)
  * Logging: Respect `QT_MESSAGE_PATTERN` and use better defaults
  * Replace all old-style `SIGNAL`/`SLOT` connections with new-style ones.

 -- Andre Meyering <info@andremeyering.de>  Sat, 18 Apr 2020 12:00:00 +0200


 mediaelch (2.6.4-1) vivid; urgency=low

  * Fix TV shows sorting and possible crashes if "Show missing episodes" is enabled (#789, #883)
  * Fix hanging window if the custom movie scraper is selected but no valid scraper is found.
  * Fix `{{ *.RATING }}` not being replaced in exports if a media item has no rating
  * Fix movie label color not being shown (#803)
  * Fix default language selection in movie scraper dialog
  * NFO: Only write `<originaltitle>` if it's different from `<title>` (#812)
  * Fix IMDb runtime scraping (#810)
  * Update TMDb base URL for downloading images (#807)
    The very old subdomain has been taken offline. We now use the new one.
  * Fix TMDb scraper language in dialog window (#813)
    Scraper language wasn't the one saved in settings but always "English".
  * About Dialog: Fix MediaInfo version string in developer information (#790)
  * Movie/TvShow: Only parse valid `premiered` tags (#827)
  * Fix crash when no TV show is selected
  * Fix missing TheTvDb ID in episode NFO files (#788)
  * Don't write TheTvDb v1 episode-guide URLs to TV show NFOs (#652)
  * Show "Dolby TrueHD" media flag for "truehd" audio codec
  * Fix audio codec recognition for newer MediaInfoLib versions (#797)
  * Fix "Add to synchronization queue" feature for episodes and TV shows (#850)
  * Allow IMDb IDs with 8 digits (previously only 7 digits allows) (#855)
  * Fix actors having wrong image after removing one actor (#859)
  * TMDb: Load more movie collection details (#800)
  * ADA search: Don't filter for DVDs, fix overview scraping of some movies (#819)
  * Movie Search Dialog: Add error message label
  * TheTvDb: Use API v2 (JSON API instead of old XML API) (#487, #432, #528)
  * Episode widget: add TheTvDb ID and IMDb ID fields
  * AdvancedSettings: Better input validation (issues are printed to the debug log) (#743)
  * AdvancedSettings: Add experimental exclude patterns (#840)
  * Add `en_US` language file for better singular/plural handling
  * Better network error reporting for scraping TV shows and movies (#870)
  * Better error reporting in the image dialog (#864, #874)

 -- Andre Meyering <info@andremeyering.de>  Sun, 8 Feb 2020 12:00:00 +0200

mediaelch (2.6.2-1) vivid; urgency=low

  * Fix IMDb tag scraping (#649)
  * Fix TMDb issue with HTML characters in overview/plot (#651)
  * `Ctrl+A` works in movie and concert section (#647)
  * Fix crash when "Load missing episodes" is enabled (#669)
  * Filter "Movie has no IMDb ID" is inversed (#680)
  * Window positions not saved (#679)
  * Country mappings not used in TMDb (#689)
  * Windows: Stream Details do not load (#688)
  * Crashes on macOS when scanning episodes due to a Qt bug (#641)
  * Fix ADE scraper (#703, #725)
  * Fix TV shows always beeing reloaded (#732)
  * Fix incompatibilities with Kodi v17 NFO files (#719)
  * Fix race-condition in DownloadManager (#766)
  * Update French translation (#646)
  * Add more subtitle formats (#661)

