=== debian/control ===
Source: mediaelch
Section: misc
Priority: extra
Maintainer: Andre Meyering <info@andremeyering.de>
Build-Depends: debhelper (>= 8.0.0), qtchooser, qtbase5-dev, qtbase5-dev-tools, qt5-qmake, qtmultimedia5-dev, qt5-qmake, cdbs, libmediainfo0 | libmediainfo0v5, libmediainfo-dev, zlib1g-dev, libzen-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libpulse-dev, libqt5quickwidgets5, libqt5qml5, qtdeclarative5-dev, libqt5quick5, libqt5opengl5-dev, libqt5svg5-dev, qttools5-dev, qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: http://www.mediaelch.de
Vcs-Git: git://github.com/Komet/MediaElch.git

Package: mediaelch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5, libqt5sql5-sqlite, libqt5core5 | libqt5core5a, libqt5gui5, libqt5network5, libqt5concurrent5, libqt5svg5, libqt5graphicaleffects5 | libqt5qml-graphicaleffects | qml-module-qtgraphicaleffects, qml-module-qtquick-controls, qml-module-qtqml-models2, libqt5qml5, libqt5multimedia5, libqt5multimediawidgets5, libqt5opengl5, libqt5xml5, libmediainfo0 | libmediainfo0v5, zlib1g, libzen0 | libzen0v5, libcurl3 | libcurl4, libpulse0, libqt5quickwidgets5, libqt5quick5
Description: Kodi Media Manager
 MediaElch is your Media Manager for handling movies, TV shows, concerts and
 music in Kodi. It is designed to gather information from various movie
 databases on the internet and store these information directly to Kodis
 database or in nfo files. MediaElch is also downloading movie posters,
 backdrops, fan arts and pictures of the actors.
